AppDataUnit Class Reference
Base classes for RTP queues.

Interface (envelope) to data received over RTP packets. More...

`#include <queuebase.h>`

## Public Member Functions

| AppDataUnit (const IncomingRTPPkt &packet, const SyncSource &src)
| ~AppDataUnit ()
| AppDataUnit (const AppDataUnit &src)
AppDataUnit & | operator= (const AppDataUnit &source)
| Assignment operator.
PayloadType | getType () const
const uint8 *const | getData () const
| Get data as it is received in RTP packets (i.e.
size_t | getSize () const
const SyncSource & | getSource () const
bool | isMarked () const
| Is this data unit marked?.
uint16 | getSeqNum () const
| Get data unit sequence number.
uint8 | getContributorsCount () const
| Get the number of contributing sources in the CSRC list.
const uint32 * | getContributorsID () const
| Get the array of 32-bit CSRC identifiers.

## Detailed Description

Interface (envelope) to data received over RTP packets.

A class of objects representing data transmitted over RTP packets. Tipically, this object will apply to received data. Data blocks received via RTP connections as well as its related objects (source, etc), are accessed through the methods of this class.

Author
  Federico Montesino Pouzols fedem.nosp@m.p@al.nosp@m.tern..nosp@m.org

Examples
  audiorx.cpp, ccrtptest.cpp, rtpduphello.cpp, rtphello.cpp, and rtplisten.cpp.

## Constructor & Destructor Documentation

## AppDataUnit() [1/2]

AppDataUnit::AppDataUnit | ( | const IncomingRTPPkt & | packet,
|  | const SyncSource & | src
| ) |  |

## ~AppDataUnit()

AppDataUnit::~AppDataUnit | ( |  | ) |

inline

## AppDataUnit() [2/2]

AppDataUnit::AppDataUnit | ( | const AppDataUnit & | src | ) |

Parameters

  src | the AppDataUnit object being copied

## Member Function Documentation

## getContributorsCount()

uint8 AppDataUnit::getContributorsCount | ( |  | ) | const

inline

Get the number of contributing sources in the CSRC list.

## getContributorsID()

const uint32 * AppDataUnit::getContributorsID | ( |  | ) | const

inline

Get the array of 32-bit CSRC identifiers.

Returns
  NULL if (getContributorsCount() == 0)

## getData()

const uint8 *const AppDataUnit::getData | ( |  | ) | const

inline

Get data as it is received in RTP packets (i.e.

for multi-octet encodings, octets are in network order.

Returns
  Raw pointer to data block.

Examples
  audiorx.cpp, rtpduphello.cpp, and rtphello.cpp.

## getSeqNum()

uint16 AppDataUnit::getSeqNum | ( |  | ) | const

inline

Get data unit sequence number.

## getSize()

size_t AppDataUnit::getSize | ( |  | ) | const

inline

Returns
  length of data in octets

Examples
  audiorx.cpp, and rtplisten.cpp.

## getSource()

const SyncSource & AppDataUnit::getSource | ( |  | ) | const

inline

Returns
  Source that sent this data

Examples
  rtplisten.cpp.

## getType()

PayloadType AppDataUnit::getType | ( |  | ) | const

inline

Returns
  type of this data

Examples
  rtplisten.cpp.

## isMarked()

bool AppDataUnit::isMarked | ( |  | ) | const

inline

Is this data unit marked?.

Returns
  true if marked.

## operator=()

AppDataUnit & AppDataUnit::operator= | ( | const AppDataUnit & | source | ) |

Assignment operator.

Parameters

  source | the AppDataUnit object being assigned

Returns
  the result of the assignment

The documentation for this class was generated from the following file:

- queuebase.h